LFR-FSW - Support #486

SSS-CP-FS-340 : Design or Test
18/08/2015 08:46 AM - Veronique bouzid

Status: Feedback Start date: 18/08/2015
Priority: Urgent Due date:

Assignee: bruno katra % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r0

Description

Hello,

Je m'interroge sur ce requirement

SSS-CP-FS-340

The RPW Flight Software shall maintain a local time with:

— aresolution of at least SY_RPW_TIME_RESOLUTION = 1 ms and a relative accuracy of
SY_RPW_TIME_ACCURACY = 500 ps for the DAS and the three analyzers.

— aresolution of at least SY_DPU_DBS_TIME_RESOLUTION = 10 ms and a relative
accuracy of SY_DPU_DBS_TIME_ACCURACY = 1 ms for the DBS.

Il est associé dans la SRS a REQ-LFR-SRS-5300_Ed2.

Dans notre fichier SSS-SRS-SVS-compliance_matrix_LFR_V2-1.2.xIsx , il apparait comme un test SVS-0020. Le script associé
est time_resolution.py (ce qui ne correspond pas a ce qui est ecrit dans le fichier ). Le nom est internal_time_consistent.py,

qui est un script de dépouillement.

Ma question est la suivante,
Je ne vois pas comment vérifier ce requirement et pour moi, c'est un test de Design.

J ai assigné ce point a Paul et mis Bruno en observateur ainsi que moi.

History

#1 - 18/08/2015 08:48 AM - Veronique bouzid
- File SSS-SRS-SVS-compliance_matrix_LFR_V2-1.2.xIsx added

#2 - 01/10/2015 03:57 PM - bruno katra

- Priority changed from Normal to Urgent

Paul peux-tu nous éclairer sur la signification de ce requirement? Ne devrait-il pas rester en design ?

#3 - 02/10/2015 07:42 AM - paul leroy
- Status changed from New to Feedback

- Assignee changed from paul leroy to bruno katra

Il faudrait préciser les définitions. Pour la résolution de I'horloge locale, on peut considérer que c'est le fine time, soit en gros 1/65536, environ 15 us.

Pour la précision en absolu, par rapport & une horloge de référence c'est plus délicat: sur combien de temps? Une heure? Trois semaines? Entre
deux timecodes?

Test 1: tu peux regarder la dérive de LFR non synchronisé (ni timegen, ni timecode), par rapport a un PC synchronisé (voir si la synchro réseau est
fiable, sinon peut-étre qu'un récepteur GPS connecté au PC pourrait étre utile). Pour faire ¢a, tu regardes la date d'arrivée des paquets par exemple
BPO et BP1 en mode NORMAL en utilisant les logs et tu étudies la dérive (c'est possible, je I'ai fait) sur quelques heures. Ce te donnes une idée de la
précision de l'oscillateur LFR par rapport a ta référence et par une régle de trois la dérive potentielle sur une durée donnée (par exemple entre deux
timecodes).

Test 2: générer un pulse a une date connue (et certifiée) et vérifier qu'il est correctement daté par LFR. Probleme: si c'est timegen qui synchronise, tu
va mesurer en méme temps la dérive de l'oscillateur de la Star Dundee, qui cadence les timecodes.

Test3: demander aux autres, et notamment a Philippe, comment ils font.
